org.apache.lucene.analysis.util

## Class CharArrayMap.EntryIterator

- java.lang.Object
- - org.apache.lucene.analysis.util.CharArrayMap.EntryIterator

All Implemented Interfaces:
  Iterator<Map.Entry<Object,V>>

Enclosing class:
  CharArrayMap<V>

    public class CharArrayMap.EntryIterator
    extends Object
    implements Iterator<Map.Entry<Object,V>>

public iterator class so efficient methods are exposed to users

### Method Summary

Methods
`V` `currentValue()` returns the value associated with the last key returned
`boolean` `hasNext()`
`Map.Entry<Object,V>` `next()` use nextCharArray() + currentValue() for better efficiency.
`char[]` `nextKey()` gets the next key...
`String` `nextKeyString()` gets the next key as a newly created String object
`void` `remove()`
`V` `setValue(V value)` sets the value associated with the last key returned

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Map.Entry<Object,V>>`

#### nextKey

    public char[] nextKey()

gets the next key... do not modify the returned char[]

#### nextKeyString

    public String nextKeyString()

gets the next key as a newly created String object

#### currentValue

    public V currentValue()

returns the value associated with the last key returned

#### setValue

    public V setValue(V value)

sets the value associated with the last key returned

#### next

    public Map.Entry<Object,V> next()

use nextCharArray() + currentValue() for better efficiency.

Specified by:
  `next` in interface `Iterator<Map.Entry<Object,V>>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Map.Entry<Object,V>>`